<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <main>
      <div>
        <h1>My Lists</h1>
        <table>
          <thead>
            <td>Name</td>
            <td>Number of items</td>
          </thead>
          <tbody>
            {% for list in lists %}
            <tr>
              <td>
                <a href="{%url 'todo_list_detail' list.id%}">{{list.name}}</a>
              </td>
              <td>{{list.items.all|length}}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </main>
  </body>
</html>
